import { Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { UnderconstructionMaster } from '../models';
import { UnderconstructionMasterRepository } from '../repositories';
export declare class UnderconstructionmasterController {
    underconstructionMasterRepository: UnderconstructionMasterRepository;
    constructor(underconstructionMasterRepository: UnderconstructionMasterRepository);
    create(underconstructionMaster: Omit<UnderconstructionMaster, 'underconstuctionId'>): Promise<UnderconstructionMaster>;
    count(where?: Where<UnderconstructionMaster>): Promise<Count>;
    find(filter?: Filter<UnderconstructionMaster>): Promise<UnderconstructionMaster[]>;
    updateAll(underconstructionMaster: UnderconstructionMaster, where?: Where<UnderconstructionMaster>): Promise<Count>;
    findById(id: number, filter?: FilterExcludingWhere<UnderconstructionMaster>): Promise<UnderconstructionMaster>;
    updateById(id: number, underconstructionMaster: UnderconstructionMaster): Promise<void>;
    replaceById(id: number, underconstructionMaster: UnderconstructionMaster): Promise<void>;
    deleteById(id: number): Promise<void>;
}
